BEGIN 9xELF

/////////////////1

IF~NumTimesTalkedTo(0) !Global("ISHxGift","GLOBAL",99)~THEN BEGIN ElhanF000
SAY @0
IF~!Dead("C6BODHI")~THEN REPLY @1 GOTO ElhanF001
IF~Dead("C6BODHI")~THEN REPLY @2 GOTO ElhanF002
IF~~THEN REPLY @3 GOTO ElhanF003
END

IF~~THEN BEGIN ElhanF001
SAY @4
=
@5
IF~~THEN GOTO ElhanF004
END

IF~~THEN BEGIN ElhanF002
SAY @6
=
@7
IF~~THEN GOTO ElhanF004
END

IF~~THEN BEGIN ElhanF004
SAY @8
IF~~THEN REPLY @9 GOTO ElhanF005
IF~~THEN REPLY @10 GOTO ElhanF006
IF~~THEN REPLY @11 GOTO ElhanF003
END

IF~~THEN BEGIN ElhanF005
SAY @12
IF~~THEN GOTO ElhanF007
END

IF~~THEN BEGIN ElhanF006
SAY @13
IF~~THEN GOTO ElhanF007
END

IF~~THEN BEGIN ElhanF007
SAY @14
IF~~THEN REPLY @15 GOTO ElhanF008
IF~~THEN REPLY @16 GOTO ElhanF009
IF~~THEN REPLY @17 GOTO ElhanF003
END

IF~~THEN BEGIN ElhanF008
SAY @18
IF~Global("ISHxGift","GLOBAL",5)~THEN GOTO ElhanF00Y
IF~!Global("ISHxGift","GLOBAL",5)~THEN GOTO ElhanF00N
END

IF~~THEN BEGIN ElhanF009
SAY @19
=
@20
IF~~THEN EXIT
END

IF~~THEN BEGIN ElhanF00Y
SAY @21
IF~Dead("C6Bodhi")~THEN GOTO ElhanF00Y1
IF~!Dead("C6Bodhi")~THEN GOTO ElhanF00Y2
END

IF~~THEN BEGIN ElhanF00Y1
SAY @22
=
@23
IF~~THEN DO ~SetGlobal("ISHxGift","GLOBAL",6) GiveItemCreate("ISHELT1",Player1,0,0,0)~ EXIT
END

IF~~THEN BEGIN ElhanF00Y2
SAY @24
=
@25
IF~~THEN DO ~SetGlobal("ISHxGift","GLOBAL",6) GiveItemCreate("ISHELT2",Player1,0,0,0)~ EXIT
END

IF~~THEN BEGIN ElhanF003
SAY @26
IF~~THEN EXIT
END

IF~~THEN BEGIN ElhanF00N
SAY @27
IF~~THEN EXIT
END

//////////////////2

IF~NumTimesTalkedToGT(0)~THEN BEGIN ElhanF200
SAY @28
IF~~THEN DO ~EscapeArea()~ EXIT
END